> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Model Operations.

> Gets a DMM model either via a unique model identifier or via a unique combination of workbench model id and workbench model version id



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml get /model-monitor/v2/api/model
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/model:
    summary: Model Operations.
    get:
      tags:
        - Model
      summary: Model Operations.
      description: >-
        Gets a DMM model either via a unique model identifier or via a unique
        combination of workbench model id and workbench model version id
      operationId: getModelById
      parameters:
        - in: query
          name: model_id
          schema:
            type: string
        - in: query
          name: workbench_model_version_id
          schema:
            type: string
      responses:
        '200':
          description: Successfully fetched the Model.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/modelResponse'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Model not found.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - {}
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    modelResponse:
      allOf:
        - $ref: '#/components/schemas/modelResponseCommon'
        - type: object
          properties:
            permissions:
              $ref: '#/components/schemas/modelPermissions'
    modelResponseCommon:
      allOf:
        - $ref: '#/components/schemas/model'
        - type: object
          required:
            - id
            - createdAt
            - updatedAt
            - userId
            - ingestionStatus
            - registrationStatus
            - isDeleted
          properties:
            id:
              description: Model Identifier.
              type: string
            createdAt:
              description: Creation timestamp of the Model.
              type: integer
            updatedAt:
              description: Last update timestamp for the Model.
              type: integer
            userId:
              description: Id of the model owner, who created the model.
              type: string
            ownerUsername:
              description: username of the model owner, who created the model.
              type: string
            ownerEmail:
              description: email of the model owner, who created the model.
              type: string
            ownerName:
              description: name of the model owner, who created the model.
              type: string
            tags:
              description: List of tags associated with the model
              type: array
              items:
                $ref: '#/components/schemas/modelTag'
            ingestionStatus:
              description: Dataset Ingestion status for a model.
              type: string
              enum:
                - created
                - training
                - prediction
                - ground_truth
            registrationStatus:
              description: Registration status of a model.
              type: string
              enum:
                - draft
                - created
                - deleted
            isDeleted:
              description: Whether the model is deleted or not.
              type: boolean
            visibility:
              $ref: '#/components/schemas/visibility'
            collaborators:
              type: array
              items:
                $ref: '#/components/schemas/collaborator'
    modelPermissions:
      title: Model Permissions
      description: Permission metadata required for a model response
      type: object
      required:
        - canRegisterDataset
        - canUpdateMonitoringSettings
        - canEditPermissions
      properties:
        canRegisterDataset:
          description: Whether the requesting user can register a dataset for the model
          type: boolean
        canUpdateMonitoringSettings:
          description: >-
            Whether the requesting user can update monitoring settings for the
            model
          type: boolean
        canEditPermissions:
          description: Whether the requesting user can edit permissions for the model
          type: boolean
    model:
      title: Model Config
      description: Model Config to be used to register a model with DMM.
      type: object
      required:
        - name
        - modelType
        - version
      properties:
        name:
          description: Name of the Model.
          type: string
        modelType:
          description: Type of the Model.
          type: string
          enum:
            - classification
            - regression
        version:
          description: Version of the Model.
          type: string
        description:
          description: Description for the Model.
          type: string
        author:
          description: Author of the Model.
          type: string
        dateCreated:
          description: The creation date of the model.
          type: integer
          nullable: true
        sourceType:
          $ref: '#/components/schemas/sourceType'
        sourceDetails:
          $ref: '#/components/schemas/workbenchModelDetails'
    modelTag:
      title: Model Tag
      description: Tag for a model
      required:
        - id
        - tagName
      properties:
        id:
          type: string
        tagName:
          description: name of tag
          type: string
    visibility:
      description: Model visibility
      type: string
      enum:
        - public
        - private
    collaborator:
      description: Collaborator for a standalone model
      type: object
      required:
        - userId
        - collaboratorLevel
      properties:
        userId:
          description: user id of the collaborator
          type: string
        collaboratorLevel:
          $ref: '#/components/schemas/collaboratorLevel'
    sourceType:
      description: Source for the model registration.
      type: string
      enum:
        - domino_workbench
        - standalone
    workbenchModelDetails:
      title: Domino Workbench model's details.
      description: Model details associated with a Domino workbench model.
      type: object
      required:
        - workbenchModelId
        - workbenchModelVersionId
      properties:
        workbenchModelId:
          description: Workbench's Model id
          type: string
        workbenchModelVersionId:
          description: Workbench Model's version id to be monitored in DMM
          type: string
    collaboratorLevel:
      description: type of collaborator
      type: string
      enum:
        - editor
        - viewer
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````